/* Fonts */
@font-face {
    font-family: "ModernAvenue";
    src: url("../fonts/Modern Avenue.otf") format("truetype");
}
@font-face {
    font-family: "DidotBold";
    src: url("../fonts/Didot Bold.otf") format("truetype");
}
@font-face {
    font-family: "PlayfairDisplay";
    src: url("../fonts/PlayfairDisplay-VariableFont_wght.ttf") format("truetype");
}
@font-face {
    font-family: "EBGaramond-Regular";
    src: url("../fonts/EBGaramond-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Montserrat-Light";
    src: url("../fonts/Montserrat-Light.ttf") format("truetype");
}

/* Variables */

:root {
    --background-color: #fcfaf6;
    --secondary-color: #f8f4ed;
    --bar-color: #8b716a;
    --text-color: rgba(24, 24, 24, 0.83);
    --font1: "ModernAvenue", serif;
    --font2: "DidotBold", serif;
    --font3: "PlayfairDisplay", serif;
    --font4: "EBGaramond-Regular", serif;
    --font5: "Montserrat-Light", serif;
}

/* Project specific */
body {
    color: var(--text-color);
    background-color: var(--background-color);
    font-family: var(--font3);
}
.text-color {
    color: var(--text-color);
}
.font1 {
    font-family: var(--font1);
}
.font2 {
    font-family: var(--font2);
    font-weight: bolder;
}
.font3 {
    font-family: var(--font3);
}
.font4 {
    font-family: var(--font4);
}
.font5 {
    font-family: var(--font5);
}

.icon {
    height: 24px;
    width: 24px;
    padding: 4px;
}
.logo {
    width: 50px;
    height: 42px;
}
.full-background-image {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: -1;
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    filter: opacity(50%) blur(2px);
    height: 101%;
    width: 101%;
    margin: -4px -4px;
}
.background-color {
    background-color: var(--background-color);
}
.secondary-color {
    background-color: var(--secondary-color);
}

/* Modifiers */
.float-right {
    float: right;
}
.full-width {
    width: 100%;
}
.text-18 {
    font-size: 18px;
}
.no-underline {
    text-decoration: none;
}
.border-left {
    border-left: solid 1px;
    border-color: darkgrey;
}
.no-padding {
    padding: 0;
}
.small-print {
    font-size: 12px;
    font-style: italic;
}
.text-right {
    text-align: right;
}

.big-button {
    background-color: var(--secondary-color);
    color: var(--text-color);
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    font-size: 1.5em;
    margin: 0 10px;
}

.footer {
    background-color: var(--secondary-color);
    width: 100%;
}

.main-section {
    margin-top: 100px;
}
